import Link from 'next/link';
import {getTranslations} from 'next-intl/server';
import {contact} from '@/config/contact';
import {Logo} from './Logo';

export async function Footer() {
  const t = await getTranslations('footer');
  const tNavigation = await getTranslations('navigation');

  return (
    <footer className="footer">
      <div className="footer__inner">
        <div className="footer__brand">
          <Link href="/pl" aria-label={tNavigation('logoAriaLabel')}>
            <Logo isWhite />
          </Link>
          <p>{t('copyright')}</p>
        </div>
        <address className="footer__contact">
          {contact.address.map(line => (
            <span key={line}>{line}</span>
          ))}
        </address>
      </div>
    </footer>
  );
}
